Documentation Index
Fetch the complete documentation index at: https://gusto-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Get a Company
Invoicing begins when a company has processed their first payroll. A company can either be active or suspended. Use the Get a company endpoint to determine if the company"is_suspended": true/false . If "is_suspended": false the company is active and should be factored into the monthly invoice. A company that is active for any period of time in a month will be invoiced so Partners should periodically check the company’s status using the Get a company endpoint for "is_suspended": false → true
Get Employees of a Company
After determining a company is active, you’ll need to establish the number of active employees for that company. Each active employee is counted towards a company’s monthly invoice, even if an employee is not paid in that month. Rationale: Gusto still has to do taxes and filings for the employer/employee in those cycles, even if the employee is not paid. Use the Get employees of a company endpoint to understand which employees are associated to a given company as well as their active status. If the employee’shire_date is in the past and their status is"terminated": false the employee is active and should be factored into the monthly invoice. If an employee is active at any point in the month, even if they aren’t included on payroll, they will be factored into the invoice since Gusto is required to submit taxes and filings for the employer/employee, even if that amount is ‘0’.
Get contractor payments for a company
For contractors, this process differs: you are only charged for contractors in the month that a payment is made for those contractors. Use the Get contractor payments for a company endpoint to determine which contractors were paid in a given month. Eachcontractor_uuid should be factored into the monthly invoice. You can include start_date and end_date query params to only show contractor payments for a given month.
Calculate the Total Invoice Amount
Once you have determined the number of active employees and number of contractors paid in a month for an active company, you can add these values together to determine the total monthly invoice.- Equation: Company base amount + Number of active employees + Number of paid contractors = Total monthly invoice
Create a department Introduction